/****************************************************************************
** HistoryDialog meta object code from reading C++ file 'HistoryDialog.h'
**
** Created: Thu Oct 26 17:51:14 2000
**      by: The Qt MOC ($Id: qt/src/moc/moc.y   2.2.1   edited 2000-09-29 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#define Q_MOC_HistoryDialog
#if !defined(Q_MOC_OUTPUT_REVISION)
#define Q_MOC_OUTPUT_REVISION 9
#elif Q_MOC_OUTPUT_REVISION != 9
#error "Moc format conflict - please regenerate all moc files"
#endif

#include "HistoryDialog.h"
#include <qmetaobject.h>
#include <qapplication.h>

#if defined(Q_SPARCWORKS_FUNCP_BUG)
#define Q_AMPERSAND
#else
#define Q_AMPERSAND &
#endif


const char *HistoryDialog::className() const
{
    return "HistoryDialog";
}

QMetaObject *HistoryDialog::metaObj = 0;

void HistoryDialog::initMetaObject()
{
    if ( metaObj )
	return;
    if ( qstrcmp(HistoryDialogData::className(), "HistoryDialogData") != 0 )
	badSuperclassWarning("HistoryDialog","HistoryDialogData");
    (void) staticMetaObject();
}

#ifndef QT_NO_TRANSLATION

QString HistoryDialog::tr(const char* s)
{
    return qApp->translate( "HistoryDialog", s, 0 );
}

QString HistoryDialog::tr(const char* s, const char * c)
{
    return qApp->translate( "HistoryDialog", s, c );
}

#endif // QT_NO_TRANSLATION

QMetaObject* HistoryDialog::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    (void) HistoryDialogData::staticMetaObject();
#ifndef QT_NO_PROPERTIES
#endif // QT_NO_PROPERTIES
    typedef void(HistoryDialog::*m1_t0)(int);
    typedef void(HistoryDialog::*m1_t1)();
    typedef void(HistoryDialog::*m1_t2)();
    typedef void(HistoryDialog::*m1_t3)();
    typedef void(HistoryDialog::*m1_t4)();
    typedef void(HistoryDialog::*m1_t5)();
    m1_t0 v1_0 = Q_AMPERSAND HistoryDialog::historyItemHighlighted;
    m1_t1 v1_1 = Q_AMPERSAND HistoryDialog::historySizeChanged;
    m1_t2 v1_2 = Q_AMPERSAND HistoryDialog::prevButtonClicked;
    m1_t3 v1_3 = Q_AMPERSAND HistoryDialog::nextButtonClicked;
    m1_t4 v1_4 = Q_AMPERSAND HistoryDialog::deleteButtonClicked;
    m1_t5 v1_5 = Q_AMPERSAND HistoryDialog::clearButtonClicked;
    QMetaData *slot_tbl = QMetaObject::new_metadata(6);
    QMetaData::Access *slot_tbl_access = QMetaObject::new_metaaccess(6);
    slot_tbl[0].name = "historyItemHighlighted(int)";
    slot_tbl[0].ptr = (QMember)v1_0;
    slot_tbl_access[0] = QMetaData::Protected;
    slot_tbl[1].name = "historySizeChanged()";
    slot_tbl[1].ptr = (QMember)v1_1;
    slot_tbl_access[1] = QMetaData::Protected;
    slot_tbl[2].name = "prevButtonClicked()";
    slot_tbl[2].ptr = (QMember)v1_2;
    slot_tbl_access[2] = QMetaData::Protected;
    slot_tbl[3].name = "nextButtonClicked()";
    slot_tbl[3].ptr = (QMember)v1_3;
    slot_tbl_access[3] = QMetaData::Protected;
    slot_tbl[4].name = "deleteButtonClicked()";
    slot_tbl[4].ptr = (QMember)v1_4;
    slot_tbl_access[4] = QMetaData::Protected;
    slot_tbl[5].name = "clearButtonClicked()";
    slot_tbl[5].ptr = (QMember)v1_5;
    slot_tbl_access[5] = QMetaData::Protected;
    typedef void(HistoryDialog::*m2_t0)(const QString&);
    m2_t0 v2_0 = Q_AMPERSAND HistoryDialog::playHistoryItem;
    QMetaData *signal_tbl = QMetaObject::new_metadata(1);
    signal_tbl[0].name = "playHistoryItem(const QString&)";
    signal_tbl[0].ptr = (QMember)v2_0;
    metaObj = QMetaObject::new_metaobject(
	"HistoryDialog", "HistoryDialogData",
	slot_tbl, 6,
	signal_tbl, 1,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    metaObj->set_slot_access( slot_tbl_access );
#ifndef QT_NO_PROPERTIES
#endif // QT_NO_PROPERTIES
    return metaObj;
}

// SIGNAL playHistoryItem
void HistoryDialog::playHistoryItem( const QString& t0 )
{
    activate_signal_strref( "playHistoryItem(const QString&)", t0 );
}
